%define soversion 1.4

Name: glew
Version: 1.4.0
Release: alt2.1

License: GPL
Url: http://glew.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries
Source: %name-%version-src.tgz

BuildRequires: libX11-devel libXext-devel libXi-devel libXmu-devel libmesa-devel

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

%package -n lib%name%soversion
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n lib%name%soversion
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

%package -n lib%name-devel
Summary: OpenGL Extension Wrangler Library development files
Group: Development/C++
Requires: lib%name = %version-%release
Requires: libmesa-devel

%description -n lib%name-devel
he OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains the C++ headers to compile programs based on glew.

%package -n lib%name-doc
Summary: OpenGL Extension Wrangler Library development files
Group: Development/Documentation

%description -n lib%name-doc
he OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains the documentation on GLEW.

%package -n lib%name-devel-static
Summary: OpenGL Extension Wrangler Library static development files
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains static library to compile programs based on glew.

%package bin
Summary: OpenGL Extension Wrangler Library binaries.
Group: Development/Other
Requires: lib%name = %version-%release

%description bin
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains glew binaries.

%prep
%setup -q -n %name

%build

# crappy git doesn't allow empty directories
mkdir lib
mkdir bin
%make 

%install

mkdir -p %buildroot{%_bindir,%_libdir,%_includedir/GL}
install -pm755 bin/* %buildroot%_bindir
install -pm644 lib/libGLEW.so.%version %buildroot%_libdir
install -pm644 lib/libGLEW.a %buildroot%_libdir
install -pm644 include/GL/* %buildroot%_includedir/GL

ln -sf libGLEW.so.%version %buildroot%_libdir/libGLEW.so.%soversion
ln -sf libGLEW.so.%version %buildroot%_libdir/libGLEW.so

%post -n lib%name%soversion -p %post_ldconfig

%postun -n lib%name%soversion -p %postun_ldconfig

%files -n lib%name%soversion
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/GL/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name-doc
%doc doc/*

%files bin
%_bindir/*

%changelog
* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.0-alt2.1
- NMU:
  * updated build dependencies

* Thu Nov 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.4.0-alt2
- Fixed post/postun (closes: #13163).

* Wed May 02 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.4.0-alt1
- 1.4.0 release.
- Reduced macro abuse.
- Changed library name to libglew1.4.

* Sun Mar 11 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.6-alt1
- 1.3.6 release.

* Thu Jan 18 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.5-alt2
- Added requires "libmesa-devel" for libglew-devel (fixes #10834).
- Fixed #10836, thanks Sergei Epiphanov (serpiph@).

* Thu Dec 14 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.5-alt1
- 1.3.5 release.

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.4-alt1
- 1.3.4 release.

* Fri Aug 26 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.3.3-alt1
- Test build.

